> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# V0 - Update Organizational Units (externalId)



## OpenAPI

````yaml openapi/findity-admin-api-1.json PUT /organizations/externalid/{externalId}/organizationalunits/
openapi: 3.0.3
info:
  title: Findity Admin API
  description: ''
  version: 1.0.0
  contact:
    name: Findity Support
    email: support@findity.com
servers:
  - url: https://stage-expense.findity.com/api/admin
    description: Stage environment
  - url: https://expense.findity.com/api/admin
    description: Production environment
security:
  - bearerAuth: []
paths:
  /organizations/externalid/{externalId}/organizationalunits/:
    put:
      tags:
        - Organizational Units
      summary: V0 - Update Organizational Units (externalId)
      operationId: 5d7d25d5-0fe1-471e-9029-0225c19f450e
      parameters:
        - $ref: '#/components/parameters/externalId'
        - name: Content-Type
          in: header
          schema:
            type: string
            default: application/json
            description: ''
        - name: X-Findity-ApiVersion
          in: header
          schema:
            type: string
            default: '3'
            description: ''
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              properties:
                approvers:
                  type: object
                  items:
                    type: object
                organizationExternalSourceId:
                  type: string
                  example: o1
                subUnits:
                  type: object
                  items:
                    type: object
                    properties:
                      approvers:
                        type: array
                        items:
                          type: object
                          properties:
                            personExternalSourceId:
                              type: string
                            sortOrder:
                              type: integer
                            amountLimit:
                              type: integer
                            externalSourceId:
                              type: string
                      name:
                        type: string
                      description:
                        type: string
                      externalSourceId:
                        type: string
                        format: utc-millisec
                name:
                  type: string
                  example: En avdelning
                description:
                  nullable: true
                externalSourceId:
                  type: string
                  example: '1234'
        required: true
      responses:
        '200':
          description: ''
components:
  parameters:
    externalId:
      in: path
      name: externalId
      required: true
      description: The external source id of the organization
      schema:
        type: string
      example: 6aeb86c4fb154c46b2b5a1977245ac67
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````